<?xml version="1.0" encoding="utf-8" ?>
<DUMMY>
<INCLUDE_ONCE file="graph.inc"/>
<CUS_GRAPH font_face="arial" font_quality="cleartype" font_size="12"
  width="100%" height="185" text_color="#888888">
    <INCLUDE_ONCE file="black_box/black_box.inc"/>
    <INCLUDE_ONCE file="check_box.inc"/>
    <INCLUDE_ONCE file="colors.inc"/>
    <INCLUDE_ONCE file="invisible_button/invisible_button.inc"/>
    <DEFINE>
     <CUS_CURVE base_type="CURVE_GRAPH" width="100%" height="100%" cursor="system::hand"/>
    </DEFINE>
      <TABLE width="100%" height="90%" h_margin="3">
        <CURVE_FROM_PARAM_OVER_TIME id="peak_curve" param_id="$peak_value$" duration_ms="10000" />
        <CURVE_FROM_PARAM_OVER_TIME id="rms_curve" param_id="$rms_value$" duration_ms="10000" />
        <CURVE_FROM_PARAM_OVER_TIME id="trans_curve" param_id="$trans_value$" duration_ms="10000" />
        <TABLE_ROW height="90%">
            <RULER orientation="vertical" text_h_align="right" text_v_align="center" h_align="right" v_margin="8"
               height="100%" width="8%" param_info_id="peak_curve.y_info" color="#888888" value_format=".0" content="{value} {unit}"
               positions_count="5" />

            <LAYER_STACK height="100%" width="92%" v_margin="8" h_margin="14">
               <GRID x_subdiv_count="1" y_subdiv_count="1" width="100%" height="100%" subdiv_color="#444444"
                  color="#888888" origin_color="#dddddd" x_param_info_id="peak_curve.x_info" y_param_info_id="peak_curve.y_info" x_positions_count="11" y_positions_count="5" />
               <CUS_CURVE color="$peak_color$" curve_id="peak_curve" id="peak_graph"/>
               <CUS_CURVE color="$rms_color$" curve_id="rms_curve" id="rms_graph"/>
               <CUS_CURVE color="$trans_color$" curve_id="trans_curve" id="trans_graph"/>
            </LAYER_STACK>

         </TABLE_ROW>
         <TABLE_ROW height="10%">
            <CELL />
            <RULER orientation="horizontal" text_h_align="center" h_margin="14" height="100%" width="90%"
               param_info_id="peak_curve.x_info"  value_format=".0" content="{value} {unit}" positions_count="11" />
         </TABLE_ROW>         -->
      </TABLE>
    <ROW spacing="40">
        <ROW spacing="5"><CUS_CHECK_BOX param_id="peak_graph.visible"><CUS_SHOW_GRAPH_TOOLTIP/></CUS_CHECK_BOX><TEXT text_color="$peak_color$" value="Peak"><CUS_INVISIBLE_BUTTON param_id="peak_graph.visible"/></TEXT></ROW>
        <ROW spacing="5"><CUS_CHECK_BOX param_id="rms_graph.visible"><CUS_SHOW_GRAPH_TOOLTIP/></CUS_CHECK_BOX><TEXT text_color="$rms_color$" value="RMS"><CUS_INVISIBLE_BUTTON param_id="rms_graph.visible"/></TEXT></ROW>
        <ROW spacing="5"><CUS_CHECK_BOX param_id="trans_graph.visible"><CUS_SHOW_GRAPH_TOOLTIP/></CUS_CHECK_BOX><TEXT text_color="$trans_color$" value="Transformed"><CUS_INVISIBLE_BUTTON param_id="trans_graph.visible"/></TEXT></ROW>
    </ROW>
    <!-- Persistency -->
    <PERSISTENT_PARAMS param_ids="peak_graph.visible;rms_graph.visible;trans_graph.visible"/>
</CUS_GRAPH>
</DUMMY>