<?xml version="1.0" encoding="utf-8" ?>
<DUMMY>
<INCLUDE_ONCE file="graph.inc"/>
<CUS_GRAPH font_face="arial" font_quality="cleartype" font_size="12" text_color="#888888" spacing="4" width="100%" v_margin="12">
    <INCLUDE_ONCE file="black_box/black_box.inc"/>
    <INCLUDE_ONCE file="check_box.inc"/>
    <INCLUDE_ONCE file="colors.inc"/>
    <INCLUDE_ONCE file="invisible_button/invisible_button.inc"/>
    <DEFINE>
     <CUS_CURVE base_type="CURVE_GRAPH" width="100%" height="100%" cursor="system::hand"/>
    </DEFINE>
    <TEMPLATE id="TPL_CHANNEL_GRAPH" channel="1">
      <TABLE width="280" height="150" h_margin="3">
        <CURVE_FROM_PARAM_OVER_TIME id="peak_curve$channel$" param_id="$peak_value$channel$$" duration_ms="10000" />
        <CURVE_FROM_PARAM_OVER_TIME id="rms_curve$channel$" param_id="$rms_value$channel$$" duration_ms="10000" />
        <CURVE_FROM_PARAM_OVER_TIME id="trans_curve$channel$" param_id="$trans_value$channel$$" duration_ms="10000" />
        <TABLE_ROW height="90%">
            <RULER orientation="vertical" text_h_align="right" text_v_align="center" h_align="right" v_margin="8"
               height="100%" width="25" param_info_id="peak_curve$channel$.y_info" color="#888888" value_format=".0" content="{value} {unit}"
               positions_count="5" font_size="-1"/>

            <LAYER_STACK height="100%" width="92%" v_margin="8" h_margin="14">
               <GRID x_subdiv_count="1" y_subdiv_count="1" width="100%" height="100%" subdiv_color="#444444"
                  color="#888888" origin_color="#dddddd" x_param_info_id="peak_curve$channel$.x_info" y_param_info_id="peak_curve$channel$.y_info" x_positions_count="11" y_positions_count="5" />
               <CUS_CURVE color="$peak_color$" curve_id="peak_curve$channel$" id="peak_graph$channel$"/>
               <CUS_CURVE color="$rms_color$" curve_id="rms_curve$channel$" id="rms_graph$channel$"/>
               <CUS_CURVE color="$trans_color$" curve_id="trans_curve$channel$" id="trans_graph$channel$"/>
            </LAYER_STACK>

         </TABLE_ROW>
         <TABLE_ROW>
            <CELL />
            <RULER orientation="horizontal" text_h_align="center" h_margin="14" width="90%"
               param_info_id="peak_curve$channel$.x_info"  value_format=".0" content="{value} {unit}" positions_count="6"/>
         </TABLE_ROW>
      </TABLE>
    </TEMPLATE>
    <ROW>
        <COLUMN>
            <ROW spacing="2"><TEXT value="Channel 1"/><LAYER_STACK><TEXT value="(Left)" id="(L)"/><TEXT value="(Mid)" id="(M)"/></LAYER_STACK></ROW>
            <PARAM_LINK from="$stereo_mode$" to="(L).visible" normalized="true" reverse="true"/>
            <PARAM_LINK from="$stereo_mode$" to="(M).visible" normalized="true" />
           <TPL_CHANNEL_GRAPH channel="1"/>
        </COLUMN>
        <COLUMN>
            <ROW spacing="2"><TEXT value="Channel 2"/><LAYER_STACK><TEXT value="(Right)" id="(R)"/><TEXT value="(Side)" id="(S)"/></LAYER_STACK></ROW>
            <PARAM_LINK from="$stereo_mode$" to="(R).visible" normalized="true" reverse="true"/>
            <PARAM_LINK from="$stereo_mode$" to="(S).visible" normalized="true" />
          <TPL_CHANNEL_GRAPH channel="2"/>
        </COLUMN>
    </ROW>
    <ROW spacing="40">
        <ROW spacing="5"><CUS_CHECK_BOX param_id="peak_graph_visible"><CUS_SHOW_GRAPH_TOOLTIP/></CUS_CHECK_BOX><TEXT text_color="$peak_color$" value="Peak"><CUS_INVISIBLE_BUTTON param_id="peak_graph_visible"/></TEXT></ROW>
        <ROW spacing="5"><CUS_CHECK_BOX param_id="rms_graph_visible"><CUS_SHOW_GRAPH_TOOLTIP/></CUS_CHECK_BOX><TEXT text_color="$rms_color$" value="RMS"><CUS_INVISIBLE_BUTTON param_id="rms_graph_visible"/></TEXT></ROW>
        <ROW spacing="5"><CUS_CHECK_BOX param_id="trans_graph_visible"><CUS_SHOW_GRAPH_TOOLTIP/></CUS_CHECK_BOX><TEXT text_color="$trans_color$" value="Transformed"><CUS_INVISIBLE_BUTTON param_id="trans_graph_visible"/></TEXT></ROW>
    </ROW>
    <!-- Persistency & params-->
    <PARAM id="peak_graph_visible" type="boolean" default="1" persistent="true"/>
    <PARAM_MULTI_LINK from="peak_graph_visible" to="peak_graph1.visible;peak_graph2.visible"/>
    <PARAM id="rms_graph_visible" type="boolean" default="1" persistent="true"/>
    <PARAM_MULTI_LINK from="rms_graph_visible" to="rms_graph1.visible;rms_graph2.visible"/>
    <PARAM id="trans_graph_visible" type="boolean" default="1" persistent="true"/>
    <PARAM_MULTI_LINK from="trans_graph_visible" to="trans_graph1.visible;trans_graph2.visible"/>
</CUS_GRAPH>
</DUMMY>